# $Revision: 1.46 $, $Date: 2012/05/17 17:50:50 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		xfce_version	4.10.0
Summary:	Xfce file manager
Summary(pl.UTF-8):	Zarządca plików Xfce
Name:		Thunar
Version:	1.4.0
Release:	1
License:	GPL v2 / LGPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/thunar/1.4/%{name}-%{version}.tar.bz2
# Source0-md5:	737ad2c36ed36b10fef82e860b9e990a
Patch0:		%{name}-desktop.patch
URL:		http://thunar.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.62
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	intltool
BuildRequires:	libexif-devel >= 0.6.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	pcre-devel >= 6.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	udev-glib-devel >= 145
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exo >= 0.8.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	shared-mime-info >= 0.15
Requires:	xfconf >= %{xfce_version}
Suggests:	tumbler
Obsoletes:	Thunar-thumbnailers
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Thunar is a modern file manager, aiming to be easy-to-use and fast.

%description -l pl.UTF-8
Thunar jest nowoczesnym zarządcą plików, nakierowanym na łatwość i
szybkość użycia.

%package apidocs
Summary:	Thunar API documentation
Summary(pl.UTF-8):	Dokumentacja API Thunar
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	thunar-vfs-apidocs

%description apidocs
Thunar API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Thunar.

%package libs
Summary:	Thunar libraries
Summary(pl.UTF-8):	Biblioteki Thunar
Group:		X11/Libraries
Obsoletes:	thunar-vfs

%description libs
Thunar libraries.

%description libs -l pl.UTF-8
Biblioteki Thunar.

%package devel
Summary:	Header files for Thunar libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exo-devel >= 0.6.0
Requires:	gtk+2-devel >= 2:2.14.0
Obsoletes:	thunar-vfs-devel

%description devel
This is the package containing the header files for Thunar libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Thunar.

%package static
Summary:	Static Thunar libraries
Summary(pl.UTF-8):	Statyczne biblioteki Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	thunar-vfs-static

%description static
Static Thunar libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Thunar.

%prep
%setup -q
%patch0 -p1

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-dbus \
	--enable-exif \
	--enable-gtk-doc \
	--enable-pcre \
	--enable-startup-notification \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/thunarx-2/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/xdg/Thunar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/Thunar/*.xml
%dir %{_libdir}/Thunar
%attr(755,root,root) %{_libdir}/Thunar/ThunarBulkRename
%attr(755,root,root) %{_libdir}/Thunar/thunar-sendto-email
%dir %{_libdir}/thunarx-2
%attr(755,root,root) %{_libdir}/thunarx-2/*.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libthunar-tpa.so

%{_datadir}/Thunar
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_pixmapsdir}/Thunar
%{_mandir}/man1/Thunar*

%dir %{_docdir}/Thunar
# move it to proper place
%{_docdir}/Thunar/README*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/thunarx

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunarx-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthunarx-2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunarx-2.so
%{_includedir}/thunarx-2
%{_pkgconfigdir}/thunarx-2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libthunarx-2.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Thunar.spec,v $
Revision 1.46  2012/05/17 17:50:50  baggins
- cleanup

Revision 1.45  2012/05/17 17:49:14  baggins
- updated files

Revision 1.44  2012/05/17 11:48:31  baggins
- 1.4.0 for xfce 4.10

Revision 1.43  2012/03/29 13:04:12  wiget
- rel. 2

Revision 1.42  2011/09/28 11:26:05  baggins
- 1.2.3

Revision 1.41  2011/08/19 00:47:37  ankry
- comment

Revision 1.40  2011/06/06 17:47:09  marti
- up to 1.2.2

Revision 1.39  2011/04/06 13:27:18  lisu
- rel 4

Revision 1.38  2011/03/08 09:46:55  baggins
- S: tumbler

Revision 1.37  2011/03/08 09:41:46  baggins
- rel 3
- Thunar-thumbnailers are not used anymore (obsoleted along with thunar-vfs)

Revision 1.36  2011/02/28 11:54:50  baggins
- rel 2
- obsolete thunar-vfs, all apps have been ported from it

Revision 1.35  2011/02/16 18:35:55  megabajt
- merged from DEVEL

Revision 1.31.2.5  2011/02/10 15:04:09  megabajt
- updated to 1.2.1
- drop libtool file

Revision 1.34  2011/02/04 18:24:05  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.31.2.4  2011/01/30 13:43:04  megabajt
- updated to 1.2.0

Revision 1.31.2.3  2010/11/15 00:31:25  baggins
- hal is dead

Revision 1.31.2.2  2010/11/14 23:27:46  baggins
- BR gudev

Revision 1.33  2010/11/14 16:12:16  baggins
- no ur_PK locale

Revision 1.32  2010/11/14 12:34:21  baggins
- 1.0.2, XFCE 4.6.2

Revision 1.31.2.1  2010/11/14 11:57:45  baggins
- 1.1.4, XFCE 4.8pre1

Revision 1.31  2010/05/11 11:08:29  baggins
- rel 8
- really XFCE only

Revision 1.30  2010/05/11 10:55:14  baggins
- rel 7
- XFCE only

Revision 1.29  2010/05/11 10:20:05  baggins
- rel 6
- desktop file cleanup

Revision 1.28  2010/02/01 22:43:20  sparky
- BR: docbook-dtd412-xml, xfce4-dev-tools

Revision 1.27  2010/01/30 00:59:28  megabajt
- added -libpng.patch
- release 5

Revision 1.26  2010/01/29 20:48:26  arekm
- release 4

Revision 1.25  2009/07/12 13:17:08  arekm
- release 3

Revision 1.24  2009/06/17 14:08:03  hawk
- release 2

Revision 1.23  2009/04/27 07:43:09  adamg
- updated to 1.0.1

Revision 1.22  2009/02/27 22:14:50  megabajt
- updated to 1.0.0
- removed obsolete -locale-names.patch and -missing-audio-cds-for-volman.patch

Revision 1.21  2008/11/09 19:20:48  megabajt
- release 3

Revision 1.20  2008/10/29 21:14:34  blues
- rel.2 - nn_NO locale fixed

Revision 1.19  2008/10/27 22:52:58  blues
- 0.9.3

Revision 1.18  2008/10/24 19:47:17  baggins
- rel 3
- BR libxfcegui4-devel

Revision 1.17  2008/10/24 19:40:48  baggins
- rel 2
- exact BR and R on gamin

Revision 1.16  2007-12-05 20:58:11  megabajt
- updated to 0.9.0
- added locale-names and missing-audio-cds-for-volman patches

Revision 1.15  2007-04-03 18:11:35  megabajt
- added desktop patch
- use %update_desktop_database_post{,un}
- release 2

Revision 1.14  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.12  2007/01/22 15:24:54  megabajt
- updated to 0.8.0 (Xfce 4.4.0)
- added apidocs subpackage

Revision 1.11  2006/12/22 16:01:34  arekm
- rel .2

Revision 1.10  2006/11/06 15:17:46  megabajt
- up to 0.5.0rc2 (Xfce 4.4RC2)
- updated deps

Revision 1.9  2006/09/16 13:47:28  megabajt
- added R: libexo-devel to the devel subpackage

Revision 1.8  2006/09/04 20:12:49  megabajt
- up to 0.4.0rc1
- use rpm macros

Revision 1.7  2006/07/16 17:10:21  freetz
- 0.3.2beta2, updated: deps and file list, updated icon cache, --as-needed
  support

Revision 1.6  2006/05/17 04:28:51  charles
- -devel R: {GConf2,dbus-glib,fam,hal,libjpeg}-devel

Revision 1.5  2006/05/17 03:50:59  charles
- without static_libs bcond
- BR: gettext-devel

Revision 1.4  2006/05/17 03:39:30  charles
- BR: intltool

Revision 1.3  2006/05/09 19:00:07  qboosh
- BR: glib2-devel >= 2.6.4, perl-base, pkgconfig

Revision 1.2  2006/05/04 07:45:10  spider
- cosmetics

Revision 1.1  2006/05/03 18:09:33  freetz
- some Xfce stuff ;)
